import React from 'react';
import styles from './index.less';
import $ from 'jquery';

class SlideSide extends React.Component {
    constructor(props) {
        super(props);
        this.side = React.createRef();
    }
    componentDidMount() {
        const sideNode = this.side.current;
        // setTimeout(() => {
        //     $(sideNode).animate({
        //         "right":'360px'
        //     },500)
        // }, 1000);
        // setTimeout(() => {
        //     $(sideNode).animate({
        //         "right":'260px'
        //     },500)
        // }, 3000);
    }
    render() {
        return (
            <div ref={this.side}
                className={styles['slide-pub']}
            >
                侧滑不用了
            </div>
        )
    }
}

export default SlideSide;